
Ruby - Feature #11633

NilLogger class

10/28/2015 03:14 PM - kwando (Hannes Nevalainen)

Status: Closed   

Priority: Normal   

Assignee: sonots (Naotoshi Seo)   

Target version:    

Description

I'd like to have a NilLogger class in ruby which have the same api as the stdlib Logger object, but where all logging methods is just

noop:s.

History

#1 - 11/18/2015 02:56 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to sonots (Naotoshi Seo)

#2 - 11/18/2015 08:46 AM - sonots (Naotoshi Seo)

logger = Logger.new(nil)

logger.fatal { 'foo' } # no print

 Is this not enough?

#3 - 04/10/2016 02:07 PM - sonots (Naotoshi Seo)

- Status changed from Assigned to Closed

Let me close
